Internal functions
User-space network packet buffer » Other functions
Collaboration diagram for Internal functions:

## Functions

void | pktb_push (struct pkt_buff *pktb, unsigned int len)
void | pktb_pull (struct pkt_buff *pktb, unsigned int len)
void | pktb_put (struct pkt_buff *pktb, unsigned int len)
void | pktb_trim (struct pkt_buff *pktb, unsigned int len)

## Detailed Description

Warning
  Do not use these functions. Instead, always use the mangle function appropriate to the level at which you are working.
  pktb_mangle() uses all the below functions except pktb_pull, which is not used by anything.

## Function Documentation

## pktb_pull()

void pktb_pull | ( | struct pkt_buff * | pktb,
|  | unsigned int | len )

pktb_pull - increment pointer to packet buffer

Parameters

  pktb | Pointer to userspace packet buffer
  len | Number of bytes to add to packet start address

Definition at line 178 of file pktbuff.c.

## pktb_push()

void pktb_push | ( | struct pkt_buff * | pktb,
|  | unsigned int | len )

pktb_push - decrement pointer to packet buffer

Parameters

  pktb | Pointer to userspace packet buffer
  len | Number of bytes to subtract from packet start address

Definition at line 166 of file pktbuff.c.

## pktb_put()

void pktb_put | ( | struct pkt_buff * | pktb,
|  | unsigned int | len )

pktb_put - add extra bytes to the tail of the packet buffer

Parameters

  pktb | Pointer to userspace packet buffer
  len | Number of bytes to add to packet tail (and length)

Definition at line 190 of file pktbuff.c.

## pktb_trim()

void pktb_trim | ( | struct pkt_buff * | pktb,
|  | unsigned int | len )

pktb_trim - set new length for this packet buffer

Parameters

  pktb | Pointer to userspace packet buffer
  len | New packet length (tail is adjusted to reflect this)

Definition at line 201 of file pktbuff.c.